Bug 864972 - Editor task form for human task is empty when use space character in Task Name
Editor task form for human task is empty when use space character in Task Name
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On: 864920
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 10:19 EDT by Sona Mala
Modified: 2014-10-26 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Using a space character in the taskName property value in the Process Designer caused task form errors to occur and users would see error messages instead of the task form editor. This has been resolved and users can now see the task form editor correctly, even when the taskName property value contains a space character.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2012-10-10 10:19:22 EDT
Description of problem:
Editor task form for human task show empty form (look like task form does not exist, but it is in package) when use space character in Task Name. 

Version-Release number of selected component (if applicable):
BRMS 5.3.1 ER2, designer 2.3.1-DEV

How reproducible:
Add space into Task Name

Steps to Reproduce:
1. create new process(start->human task->end)
2. set Task Name to "task name:
3. generate task forms for process
4. focus on human task and choose icon (Edit Task Form)
  
Actual results:
Windows is displayed, but there is empty form.

Expected results:
Windows is displayed and contains generated task form.

Additional info:
Comment 1 Tihomir Surdilovic 2012-10-11 19:14:10 EDT
This is fixed in master by BZ 864920
Comment 2 Tihomir Surdilovic 2012-10-17 11:12:36 EDT
See BZ 864920 - fix in 2.3.x Designer branch.
Comment 3 Sona Mala 2012-11-13 11:32:16 EST
Verified for: EAP 5.1, deployable version BRMS-ER4, designer 2.3.1-DEV

Windows is displayed and contains generated task form.

Note You need to log in before you can comment on or make changes to this bug.